shopex安装时发生错误,提示请输入您的联系方式方便与您联系

前天一客户购买了我们乐道主机的美国空间,需要安装shopex程序,因shopex需要在PHP5.2环境下安装,我们的美国虚拟主机可以在空间管理面板中切换PHP的版本,在PHP5.2到PHP5.5之前可以切换,几乎国内外所有主流程序都可以安装,已成功安装过shopex最新版程序,客户提供的shopex版本为:shopex-4.8.5.55328,较早版本,但在安装时出现以下错误:安装时发生错误,请输入您的联系方式方便与您联系。
安装失败
Warning: CREATE TABLE `sdb_settings` ( `s_name` varchar(16) not null default ”, `s_data` longtext, `s_time` int(10) unsigned not null default 0, `disabled` enum(‘true’,’false’) default ‘false’, primary key (s_name) )ENGINE = MyISAM DEFAULT CHARACTER SET utf8;:You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near ‘DEFAULT CHARACTER SET utf8’ at line 7 in D:\wwwroot\��\ceshi2\core\include_v5\AloneDB.php on line 58
Warning: CREATE TABLE `sdb_plugins` ( `plugin_id` mediumint(8) unsigned not null auto_increment, `plugin_ident` varchar(100) not null default ”, `plugin_name` varchar(100) not null default ”, `plugin_type` enum(‘io’,’schema’,’hook’,’pmt’,’local’,’messenger’,’pay’,’passport’,’admin’,’shop’,’action’,’app’,’mdl’) not null default ‘io’, `app_type` varchar(100) not null default ”, `plugin_base` enum(‘0′,’9’) not null default 0, `plugin_version` varchar(100) default ‘1.0’, `plugin_author` varchar(100), `plugin_package` varchar(100), `plugin_website` varchar(200), `plugin_updatechec` varchar(200), `plugin_desc` text, `plugin_hasopts` enum(‘true’,’false’) not null default ‘false’, `plugin_struct` text, `plugin_config` text, `plugin_path` varchar(255) not null default ”, `plugin_mode` enum(‘file’,’dir’) not null default ‘file’, `status` enum(‘unused’,’used’,’broken’) not null default ‘unused’, `disabled` enum(‘true’,’false’) not null default ‘false’, `plugin_mtime` int(11) not null default 0, primary k in D:\wwwroot\��\ceshi2\core\include_v5\AloneDB.php on line 58
tt1
将程序重新上传到我们代理的西部数码的香港空间,可以成功安装,查看了西部数码的香港空间配置,PHP5.2,MYSQL数据库版本为5.0.1,经了解,shopex-4.8.5.55328版本只能在MYSQL5.0版本安装,低于或高于这个版本的数据库都不行。现在MYSQL的版本基本在5.5左右,这种低版本的数据库已基本很少。
tt2
解决方法:
1、先在原美国空间中进行正常安装,直到出错时停下。
2、将在西部数码中安装成功的MYSQL数据库导出,清空美国空间中数据库内的表,重新将西部的数据库表导入到美国空间中即可成功。
对很多朋友来说,可能没有第二个空间刚好是MYSQL5.0版本,现将在西部数码中可安装的MYSQL导出后放在百度网盘:http://pan.baidu.com/s/16OqGQ 中供大家下载,可试试导入到自已的数据库中,大家可放心使用,不会带有后门,病毒等。

原创文章,转载请注明:原文转载地址: http://www.ldhost.cn/jc/shopex/421.html